Subject: bug#20817: 25.0.50; Problems with upgrading of packages

From: Artur Malabarba <[email-masked]>
Date: Wed, 17 Jun 2015 17:01:27 +0100

Ok, the first part ("error in process filter: wrong type argument:
listp, :error") is a bug in the error handler :P
I've fixed it now, so maybe it'll give us some useful information
about what's hapening in the second part.

2015-06-15 12:55 GMT+01:00 Mark Karpov <[email-masked]>:
>
> ***
>
> It seems like there are some problems with upgrading of packages
> now. When I call ‘package-list-packages’ command, the list is printed,
> but I'm also presented with a message in the minibuffer that reads:
>
>   error in process filter: wrong type argument: listp, :error
>
> When I want to upgrade some packages, I get this error message instead:
>
>   Package `...package description...` is unavailable
>
> It's strange, I guess it's some sort of bug.
>
> ***
>
>
>
> In GNU Emacs 25.0.50.8 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.4)
>  of 2015-06-15 on arch
> Repository revision: 08bad175d45dad7bb872c604cd2b8e84cc1cc5bb
> Windowing system distributor `The X.Org Foundation', version 11.0.11701000
> Configured features:
> XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
> NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
> TOOLKIT_SCROLL_BARS GTK3
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: iε
>
> Minor modes in effect:
>   rainbow-delimiters-mode: t
>   flycheck-mode: t
>   flyspell-mode: t
>   whitespace-mode: t
>   yas-global-mode: t
>   yas-minor-mode: t
>   show-paren-mode: t
>   minibuffer-electric-default-mode: t
>   ido-vertical-mode: t
>   ido-ubiquitous-mode: t
>   ido-everywhere: t
>   global-auto-revert-mode: t
>   global-aggressive-indent-mode: t
>   aggressive-indent-mode: t
>   display-time-mode: t
>   delete-selection-mode: t
>   smartparens-global-mode: t
>   smartparens-mode: t
>   tooltip-mode: t
>   global-eldoc-mode: t
>   eldoc-mode: t
>   electric-indent-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   auto-fill-function: do-auto-fill
>   auto-fill-mode: 1
>
> Recent messages:
> package-compute-transaction: Package `([cl-struct-package-desc cider (20150614 2326) Clojure Interactive Development Environment that Rocks ((clojure-mode (4 0 0)) (dash (2 4 1)) (pkg-info (0 4)) (emacs (24 3)) (queue (0 1 1))) tar melpa nil ((:url . http://www.github.com/clojure-emacs/cider) (:keywords languages clojure cider)) nil])-' is unavailable
> Importing package-keyring.gpg...done
> Waiting for refresh to finish...
> Package refresh done
> 2 packages marked for upgrading.
> error in process filter: apply: Wrong type argument: listp, :error
> error in process filter: Wrong type argument: listp, :error
> 2 packages marked for upgrading.
> Upgrade these 2 packages (cider-20150612.315, clojure-mode-20150611.1524)? (y or n) y
> Package menu: Operation started [Upgrading 2]
> package-compute-transaction: Package `([cl-struct-package-desc clojure-mode (20150614 1628) Major mode for Clojure code ((emacs (24 3))) single melpa nil ((:url . http://github.com/clojure-emacs/clojure-mode) (:keywords languages clojure clojurescript lisp)) nil] dont-select)-' is unavailable
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr emacsbug sendmail smex mm-archive message dired
> format-spec rfc822 mml mml-sec mailabbrev gmm-utils mailheader mm-decode
> mm-bodies mm-encode mail-utils network-stream nsm starttls url-http tls
> mail-parse rfc2231 rfc2047 rfc2045 ietf-drums url-gw url-cache url-auth
> url url-proxy url-privacy url-expand url-methods url-history url-cookie
> url-domsuf url-util mailcap url-handlers url-parse auth-source gnus-util
> mm-util help-fns mail-prsvr password-cache url-vars epg ace-window avy
> rainbow-delimiters flycheck-haskell haskell-cabal haskell-utils flycheck
> find-func rx subr-x flyspell ispell whitespace mk-visual
> solarized-dark-theme solarized mk-tex mk-slime slime-fancy
> slime-trace-dialog slime-fontifying-fu slime-package-fu slime-references
> slime-compiler-notes-tree slime-scratch slime-presentations bridge
> slime-fuzzy slime-fancy-trace slime-fancy-inspector slime-c-p-c
> slime-editing-commands slime-autodoc slime-repl slime-parse slime
> compile etags xref eieio eieio-core arc-mode archive-mode noutline
> outline pp comint ansi-color ring hyperspec browse-url slime-autoloads
> cl-macs mk-scheme mk-python mk-prolog mk-org mk-markdown mk-man mk-magit
> mk-haskell mk-gnus mk-erc mk-elisp mk-dired mk-diff mk-clojure
> mk-calendar mk-c mk-bookmark mk-minor-modes common-lisp-snippets
> yasnippet help-mode cl gv whole-line-or-region paren minibuf-eldef
> ido-vertical-mode ido-ubiquitous ido-completing-read+ ido warnings
> autorevert filenotify cl-seq aggressive-indent easy-mmode time delsel
> smartparens-config smartparens byte-opt thingatpt dash mk-global edmacro
> kmacro mk-utils mk-abbrev server bytecomp byte-compile cl-extra seq
> cconv finder-inf tex-site fix-word cl-loaddefs pcase cl-lib info
> easymenu advice package epg-config time-date mule-util tooltip eldoc
> electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
> term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
> tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
> menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
> syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
> misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
> cp51932 hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> minibuffer cl-preloaded nadvice loaddefs button faces cus-face macroexp
> files text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote dbusbind gfilenotify
> dynamic-setting system-font-setting font-render-setting move-toolbar gtk
> x-toolkit x multi-tty make-network-process emacs)
>
> Memory information:
> ((conses 16 749960 154652)
>  (symbols 48 36211 0)
>  (miscs 40 83 281)
>  (strings 32 102965 64187)
>  (string-bytes 1 3714608)
>  (vectors 16 44323)
>  (vector-slots 8 1436456 166375)
>  (floats 8 396 718)
>  (intervals 56 71599 84)
>  (buffers 976 18)
>  (heap 1024 81344 8993))
>
>
>